define({"0":{y:0,u:"../Content/Part_Overview.htm",l:-1,t:"Overview of Filter SDK",i:0.00373434879878356,a:"Overview of Filter SDK This section provides an overview of the Micro Focus KeyView Filter SDK and describes how to use the  .NET  implementation of the API. Introducing Filter SDK Getting Started"},"1":{y:0,u:"../Content/filter_shared/filtersdk_intro/intro_filtersdk.htm",l:-1,t:"Introducing Filter SDK",i:0.0053214703396418,a:"Introducing Filter SDK This section describes the Filter SDK package. "},"2":{y:0,u:"../Content/filter_shared/filtersdk_intro/Overview.htm",l:-1,t:"Overview",i:0.00373434879878356,a:"Micro Focus KeyView Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous platforms, and can automatically recognize over 1000 document types. It supports both file-based and ..."},"3":{y:0,u:"../Content/filter_shared/filtersdk_intro/Features.htm",l:-1,t:"Features",i:0.00373434879878356,a:"Document readers are threadsafe. The benefit of a threadsafe technology is that you can successfully extract text from hundreds of documents simultaneously. Documents are not queued for sequential filtering, but are actually filtered at the same time. Filter supports popular word processing, ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00373434879878356,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00373434879878356,a:"Supported Platforms The .NET Filter SDK is supported on the following platforms. Microsoft Windows Server 2012 x64 Microsoft Windows Server 2016 x64 Microsoft Windows Server 2019 x64 Microsoft Windows 8 x86 and x64 Microsoft Windows 10 x64"},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00373434879878356,a:"Supported Compilers The following table lists the supported compilers for the .NET Filter SDK."},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00373434879878356,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. To run KeyView OCR and RMS decryption on 64-bit Linux requires libstdc++.so.6 and libgcc_s.so.1 from GCC 5.4. For your convenience, these are provided in the redist folder of your KeyView installation. ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00373434879878356,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00373434879878356,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/filter_shared/filtersdk_intro/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00373434879878356,a:"The Filter SDK installation contains: All the libraries and executables necessary for extracting text from a wide variety of formats. The  include files  that define the functions and structures used by the application to establish an interface with Filter: The Java API implemented in the package ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0505080468004666,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"12":{y:0,u:"../Content/filter_shared/filtersdk_intro/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00373434879878356,a:"Directory Structure The following table describes the contents of the Filter SDK. The variable  OS is the operating system for which the SDK is installed. For example, the bin directory on a standard 32-bit Windows installation would be located at KeyviewFilterSDK\\WINDOWS\\bin."},"13":{y:0,u:"../Content/Chapter_GettingStarted.htm",l:-1,t:"Getting Started",i:0.0053214703396418,a:"Getting Started This section provides an overview of Filter SDK, and describes how to use the  .NET  implementation of the API."},"14":{y:0,u:"../Content/DotNET/gettingstarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00690859188050004,a:"Architectural Overview The general architecture of the KeyView Filter technology is the same across all supported platforms and is illustrated in the following diagram: Each component is described in the following table. "},"15":{y:0,u:"../Content/DotNET/gettingstarted/File_Caching.htm",l:-1,t:"File Caching",i:0.00373434879878356,a:"To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the formats.ini file. ..."},"16":{y:0,u:"../Content/DotNET/gettingstarted/Filtering.htm",l:-1,t:"Filtering",i:0.00373434879878356,a:"Filter SDK enables you to filter many different types of documents. Filtering is the process of extracting the text from a document without the application-specific markup. However, the filtering process can also include the following: Subfile extraction—exposes all subfiles for filtering. See  Use ..."},"17":{y:0,u:"../Content/DotNET/gettingstarted/Sub_File_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00373434879878356,a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. Archive files (such as ZIP), mail messages with attachments (such as  Microsoft Outlook Express), mail stores ..."},"18":{y:0,u:"../Content/DotNET/gettingstarted/Use_the_NET_Implementation.htm",l:-1,t:"Use the .NET Implementation of the API",i:0.00373434879878356,a:"The .NET version of the Filter API provides an interface to the core functionality of the C API. It contains one primary class (Filter) that wraps the filter functionality of the C API. It is implemented in the namespace Autonomy.API.Filter contained in the file  FilterDotNet.dll. The library is in ..."},"19":{y:0,u:"../Content/DotNET/gettingstarted/Input_Output_Operations.htm",l:-1,t:"Input/Output Operations",i:0.00373434879878356,a:"In the Filter .NET  API , input and output can be either a physical file accessed through a file path, or a .NET  stream. Depending on the method signature you use, you can create the following filtering processes: filter an input file to output file filter an input file to an output stream filter ..."},"20":{y:0,u:"../Content/DotNET/gettingstarted/Filter_in_File_or_Stream.htm",l:-1,t:"Filter in File or Stream Mode",i:0.00373434879878356,a:"To filter a file or stream Instantiate a LicenseInfo object to store your KeyView license. LicenseInfo myLicense = new LicenseInfo(\"my_organization\", \"my_key\"); Instantiate a Filter object, providing your LicenseInfo object. To instantiate the Filter object with the default output character set and ..."},"21":{y:0,u:"../Content/DotNET/gettingstarted/Multi_Threaded_Filtering.htm",l:-1,t:"Multithreaded Filtering",i:0.00373434879878356,a:"To ensure multithreaded filter processes are thread-safe, you must create a unique Filter context for every thread by instantiating a Filter object. In addition, threads must not share context objects, and the same context object must be used for all API calls in the same thread. Creating a context ..."},"22":{y:0,u:"../Content/DotNET/gettingstarted/The_Filter_Process_Model.htm",l:-1,t:"The Filter Process Model",i:0.00849571342135827,a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter  to run in the ..."},"23":{y:0,u:"../Content/DotNET/gettingstarted/Persist_the_Child_Proces.htm",l:-1,t:"Persist the Child Process",i:0.00373434879878356,a:"By default, in out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. When the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive ..."},"24":{y:0,u:"../Content/DotNET/gettingstarted/Run_Filter_In_Process.htm",l:-1,t:"Run Filter In Process",i:0.0059762108984994,a:"By default, Filter runs out of process. However, you can enable in-process filtering through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, then Filter is run out of process. If the type of process is specified in the formats.ini and in ..."},"25":{y:0,u:"../Content/DotNET/gettingstarted/Run_File_Extraction_Func.htm",l:-1,t:"Run File Extraction Functions Out of Process",i:0.00690859188050004,a:"Run File  Extraction Functions Out of  Process The out-of-process setting specified when you create the Filter object or in the formats.ini is automatically propagated to the File Extraction API. When you extract subfiles from container files and pass the files for filtering out of process, Filter ..."},"26":{y:0,u:"../Content/DotNET/gettingstarted/Out_of_Process_Logging.htm",l:-1,t:"Out-of-Process Logging",i:0.0248866584886319,a:"Logging is available for out-of-process filtering. The kvoop server can now create a log file that captures information on the files being processed, storing one entry per process. The generated log file is called  xxxx_kvoop.log, where  xxxx is a unique number identifying the process.  In the rare ..."},"27":{y:0,u:"../Content/DotNET/gettingstarted/Run_File_Detection_In_or.htm",l:-1,t:"Run Format Detection In or Out of Process",i:0.00373434879878356,a:"By default, detection runs in out-of-process mode. However, you can enable in-process detection through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, detection runs in out-of-process mode. If the type of process is specified in the ..."},"28":{y:0,u:"../Content/filter_shared/Use_Streaming_Mode.htm",l:-1,t:"Stream Data to Filter",i:0.00373434879878356,a:"By default, when you run Filter out-of-process, and pass file streams to the API (instead of file names), Filter uses temporary files during communication.   When running out-of-process, you can configure KeyView to stream the file data while it processes it, rather than creating temporary files, by ..."},"29":{y:0,u:"../Content/Part_UseSDK.htm",l:-1,t:"Use Filter SDK",i:0.00373434879878356,a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs. Use the File Extraction API Use the Filter API Sample Programs"},"30":{y:0,u:"../Content/DotNET/xtract_api/xtract_api_dotnet.htm",l:-1,t:"Use the File Extraction API",i:0.0070540900746136,a:"Use the File Extraction API This section describes how to extract subfiles from a container file using the File Extraction API. "},"31":{y:0,u:"../Content/DotNET/xtract_api/Introduction.htm",l:-1,t:"Introduction",i:0.00373434879878356,a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file. The following are ..."},"32":{y:0,u:"../Content/DotNET/xtract_api/Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.0354628133335561,a:"To filter all files in a container file, you must open the container and extract its subfiles to either a file or a stream by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for filtering. After a subfile is extracted, you can ..."},"33":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00373434879878356,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.ExtractGetSubFileInfo method. However, if ..."},"34":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00373434879878356,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"35":{y:0,u:"../Content/DotNET/xtract_api/Recreate_File_Hierar.htm",l:-1,t:"Recreate a File\u0027s Hierarchy",i:0.00373434879878356,a:"When a container file is extracted, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. The hierarchy can be used to create a directory structure in a file system, or to ..."},"36":{y:0,u:"../Content/DotNET/xtract_api/Create_a_Root_Node.htm",l:-1,t:"Create a Root Node",i:0.00490857578267651,a:"Because of their structure, some container files do not contain a subfile or folder which acts as a root directory on which the hierarchy can be based. For example, subfiles in a Zip archive can be extracted, but none of the subfiles represent the root of the hierarchy. In this case, an artificial ..."},"37":{y:0,u:"../Content/DotNET/xtract_api/Example.htm",l:-1,t:"Example",i:0.00373434879878356,a:"For example, you might extract a PST file that contains seven subfiles with a root node enabled. The call to ExtractGetMainFileInfo() returns the number of subfiles as 8 (seven subfiles and one root node). The following diagram shows the structure and the available hierarchy information after the ..."},"38":{y:0,u:"../Content/DotNET/xtract_api/Extract_Mail_Metadata.htm",l:-1,t:"Extract Mail Metadata",i:0.00739339129415229,a:"Extract Mail Metadata You can extract metadata such as subject, sender, and recipient from MSG, EML, MBX, PST, and NSF files by calling the ExtractGetSubFileMetadata method. You can extract a predefined set of metadata fields and/or individual fields that are unique to a file format. "},"39":{y:0,u:"../Content/DotNET/xtract_api/Default_Metadata_Set.htm",l:-1,t:"Default Metadata Set",i:0.00690859188050004,a:"KeyView internally defines a set of common mail metadata fields that can be extracted as a group from mail formats. This default metadata set is listed in the following table. When you retrieve all metadata for a file—that is, pass NULL for the array of metadata—the complete set of default metadata, ..."},"40":{y:0,u:"../Content/DotNET/xtract_api/Outlook_MSG_metadata.htm",l:-1,t:"Microsoft Outlook (MSG) Metadata",i:0.00373434879878356,a:"In addition to the default metadata set, for MSG files you can extract the metadata fields listed in the following table.  You must pass the field name to metaNameArray in the call to the ExtractGetSubFileMetadata method. You can also add specific string named properties to the metaNameArray to ..."},"41":{y:0,u:"../Content/DotNET/xtract_api/Microsoft_Outlook_Expres.htm",l:-1,t:"Microsoft Outlook Express (EML) and Mailbox (MBX) Metadata",i:0.00373434879878356,a:"In addition to the default metadata set, you can extract any metadata field that exists in the header of an EML or MBX file by passing the field\u0027s name. If the name is a valid field in the file, the contents of the field are returned. For example, to retrieve the name of the last mail server that ..."},"42":{y:0,u:"../Content/DotNET/xtract_api/Lotus_Notes_NSF_metadata.htm",l:-1,t:"Lotus Notes Database (NSF) Metadata",i:0.00373434879878356,a:"In addition to the default metadata set, you can extract any Lotus field name that exists in an NSF file by passing the field\u0027s name. (You can extract fields from mail NSF files and non-mail NSF files.) If the name is a valid field in the file, the field is returned. For example, to retrieve the ..."},"43":{y:0,u:"../Content/DotNET/xtract_api/Microsoft_Personal_Folde.htm",l:-1,t:"Microsoft Personal Folders File (PST) Metadata",i:0.00960674671143195,a:"In addition to the default metadata set, you can extract Messaging Application Programming Interface (MAPI) properties from a PST file. These properties describe elements (subject, sender, recipient, and so on) of Outlook items within the PST file. Since the properties are stored in the PST file ..."},"44":{y:0,u:"../Content/DotNET/xtract_api/Exclude_Metadata_from_th.htm",l:-1,t:"Exclude Metadata from the Extracted Text File",i:0.0239540342729753,a:"When a mail message is extracted, the message text and header information (To, From, Sent, and so on) is extracted to a text file. You can prevent the header information from appearing in the text file. To exclude the header information, call the ExcludeMailHeader property of the ..."},"45":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_Outlook.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.00373434879878356,a:"Extract  Subfiles from Outlook Files When an Outlook file (MSG) is extracted to disk, its message text and header information (To, From, Sent, and so on) are extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ..."},"46":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.00373434879878356,a:"Extract Subfiles from Outlook  Express Files When an Outlook Express (EML) file is extracted to disk, its message text and header information (To, From, Sent, and so on) are extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from ..."},"47":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_Mailbox.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.00373434879878356,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"48":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_PST.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.00373434879878356,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each ..."},"49":{y:0,u:"../Content/DotNET/xtract_api/MAPI_Attachment_Methods.htm",l:-1,t:"MAPI Attachment Methods",i:0.00373434879878356,a:"The way in which you can access the contents of a PST message attachment is determined by the MAPI attachment method applied to the attachment. For example, if the attachment is an embedded OLE object, it uses the ATTACH_OLE attachment method. KeyView can access message attachments that use the ..."},"50":{y:0,u:"../Content/DotNET/xtract_api/Open_Secured_PST_Files.htm",l:-1,t:"Open Secured PST Files",i:0.00373434879878356,a:"Open Secured  PST Files KeyView enables you to specify credentials (user name and password), which are used to open a secured PST file for extraction. See  Password Protected Files  for more information."},"51":{y:0,u:"../Content/DotNET/xtract_api/Detect_PST_Files_While.htm",l:-1,t:"Detect PST Files While the Outlook Client is Running",i:0.00373434879878356,a:"If you are running an Outlook client while running the File Extraction API, the KeyView format detection module (kwad) might not be able to open the PST file to determine the file\u0027s format because Outlook has the file locked. In this case, you can do one of the following:  Close Outlook when using ..."},"52":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_LotusDomino.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.00373434879878356,a:"Extract  Subfiles from Lotus Domino XML Language Files When a Lotus Domino XML Language (.DXL) file is extracted, its message text and header information (To, From, Sent, and so on) are extracted to a text file. To prevent header information from being extracted, see  Exclude Metadata from the ..."},"53":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_NSF.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.00373434879878356,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"54":{y:0,u:"../Content/DotNET/xtract_api/System_Requirements.htm",l:-1,t:"System Requirements",i:0.00373434879878356,a:"The NSF format is proprietary. Therefore, KeyView accesses NSF files indirectly using the Lotus Notes API. Since the NSF reader relies on functionality in Lotus Notes, a Lotus Notes client or Lotus Domino server must be installed and configured on the same machine on which the application filtering ..."},"55":{y:0,u:"../Content/DotNET/xtract_api/Installation_and_Configu.htm",l:-1,t:"Installation and Configuration",i:0.00373434879878356,a:"Before KeyView can filter NSF files, you must set up the Lotus Notes client or Lotus Domino server. Full configuration is not required. The following steps outline the minimal setup for NSF filtering. Windows Install the Lotus Notes client or Lotus Domino server. You do not need to configure the ..."},"56":{y:0,u:"../Content/DotNET/xtract_api/Open_Secured_NSF_Files.htm",l:-1,t:"Open Secured NSF Files",i:0.00373434879878356,a:"Open  Secured NSF Files KeyView enables you to specify credentials (user ID file and password), which are used to open a secured NSF file for extraction. See  Password Protected Files  for more information."},"57":{y:0,u:"../Content/DotNET/xtract_api/Format_Note_Sub_Files.htm",l:-1,t:"Format Note Subfiles",i:0.00373434879878356,a:"Format Note Subfiles The KeyView NSF reader uses XML templates to format note sub-files. You can customize the templates as required to approximate the look and feel of the original notes as closely as possible. For more information, see  Extract and Format Lotus Notes Subfiles ."},"58":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_PDF.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00690859188050004,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"59":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00373434879878356,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"60":{y:0,u:"../Content/DotNET/xtract_api/Extract_Embedded_OLE.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00373434879878356,a:"The File Extraction API can extract embedded  OLE objects from the following types of documents: Microsoft Excel Microsoft Word  Microsoft PowerPoint Microsoft Outlook Microsoft Visio Rich Text Format (RTF) When an embedded OLE object is extracted from its parent file, the location where the ..."},"61":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_ZIP.htm",l:-1,t:"Extract Subfiles from ZIP Files",i:0.00373434879878356,a:"Extract Subfiles  from ZIP Files ZIP files that are not password-protected can be extracted using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials. See  Password Protected ..."},"62":{y:0,u:"../Content/DotNET/xtract_api/Default_Filenames_for_Ex.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00373434879878356,a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to ExtractSubFile, in some cases, a default file name is applied to the extracted subfile."},"63":{y:0,u:"../Content/DotNET/xtract_api/Default_Filename_for_Mai.htm",l:-1,t:"Default File Name for Mail Formats",i:0.00373434879878356,a:"To avoid naming conflicts and problems with long file names, KeyView applies its own names to the extracted mail folders and mail items when a name is not supplied in the call to ExtractSubFile. A non-mail attachment retains its original file name and extension. When the contents of a mail store or ..."},"64":{y:0,u:"../Content/DotNET/xtract_api/Default_Filename_OLE.htm",l:-1,t:"Default File Name for Embedded OLE Objects",i:0.00373434879878356,a:"KeyView can apply a default name to an extracted  embedded OLE object when a name is not supplied in the call to ExtractSubFile. When an embedded OLE object is extracted, the extracted file name might include the following: The first valid eight characters of the main file. The following special ..."},"65":{y:0,u:"../Content/Chapter_UseFilterAPI.htm",l:-1,t:"Use the Filter API",i:0.00626052930418448,a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API."},"66":{y:0,u:"../Content/DotNET/filter_api/Generate_an_Error_Log.htm",l:-1,t:"Generate an Error Log",i:0.0109558241268979,a:"You can monitor and debug filtering operations by enabling a detailed error log. This allows you to see errors that are generated at run time and to track problem files in stream or file mode. Error logs are not generated when in-process filtering is enabled. The error log might include the ..."},"67":{y:0,u:"../Content/DotNET/filter_api/Enable_or_Disable_Error_.htm",l:-1,t:"Enable or Disable Error Logging",i:0.00635408727055298,a:"Enable or Disable Error  Logging You can enable or disable error logging using either the API or environment variables. By default, a file called kvoop.log is created in the system temporary directory; however, you can change the path and file name of this file (see  Change the Path and File Name of ..."},"68":{y:0,u:"../Content/DotNET/filter_api/Change_the_Path_and_File.htm",l:-1,t:"Change the Path and File Name of the Log File",i:0.0106875222502724,a:"You can change the default path and file name of the log file. The default is C:\\temp\\kvoop.log on Windows and /tmp/kvoop.log on UNIX.  To change the path and file name of the log file, add the following to the formats.ini file: [kvooplog]\nKvoopLogName=filepath The formats.ini file is in the ..."},"69":{y:0,u:"../Content/DotNET/filter_api/Report_Memory_Errors.htm",l:-1,t:"Report Memory Errors",i:0.00528645215473008,a:"You can report memory leaks and  memory overwrites in the log file by enabling the  memory trace system, either by using the API or environment variables. If the memory trace system is enabled, the error messages for memory leaks and memory overwrites (KVError_MemoryLeak and KVError_MemoryOverwrite, ..."},"70":{y:0,u:"../Content/DotNET/filter_api/Specify_a_Memory_Guard.htm",l:-1,t:"Specify a Memory Guard",i:0.00978001233622639,a:"To report memory overwrites in the log file, you must set a  memory guard that protects against memory overwrites. Normally, this is set in the range of 100-200 bytes. For example, if a memory guard of 100 is set and 20 bytes of memory are specified, a total of 120 bytes of memory are allocated. The ..."},"71":{y:0,u:"../Content/DotNET/filter_api/Report_the_Filename_in_S.htm",l:-1,t:"Report the File Name in Stream Mode",i:0.00528645215473008,a:"When you run Filter in file mode the file name is always reported in the log file. To report the file name in stream mode, you must extract it through the API.  To add the input file name to the log Create an instance of ConfigOption with the following properties: Set the  ConfigOptionType to  ..."},"72":{y:0,u:"../Content/DotNET/filter_api/Specify_the_Maximum_Size.htm",l:-1,t:"Specify the Maximum Size of the Log File",i:0.00528645215473008,a:"You can specify the maximum size of the log file. When this size is reached and new entries are logged, either the first entry in the file is overwritten or the new entries are not reported.  To configure the maximum log size and whether old entries are overwritten, add the following section to the ..."},});